org.gnome.gtk

## Class Range

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Range

- All Implemented Interfaces:
    Orientable
  Direct Known Subclasses:
    Scale, Scrollbar

      public abstract class Range
      extends Widget
      implements Orientable

  Base class for Widgets which present an adjustable quantity in some form of slider. The most obvious feature of this class is the ability to manage the "value" being shown by the Widget, but there are also facilities for exercising fine-grained control over the behaviour of the Widget when the user attempts to adjust the slider.
  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Range.ValueChanged` The value showing in the Range instance has changed.

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.QueryTooltip, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(Range.ValueChanged handler)` Connect a `Range.ValueChanged` handler to this Range instance.
    `boolean` | `getInverted()` Get whether or not the rate scale of this Range is inverted; see `setInverted()`.
    `Orientation` | `getOrientation()` Get the orientation of this Orientable.
    `double` | `getValue()` Retrieve the value currently indicated by this Range instance.
    `void` | `setInverted(boolean setting)` Inverts the way the value changes when moving the slider.
    `void` | `setOrientation(Orientation orientation)` Set the orientation of this Orientable.
    `void` | `setValue(double value)` Change the value showingin the Range.

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### connect

          public void connect(Range.ValueChanged handler)

      Connect a `Range.ValueChanged` handler to this Range instance.
      Since:
        4.0.6

    - #### getInverted

          public boolean getInverted()

      Get whether or not the rate scale of this Range is inverted; see `setInverted()`.
      Since:
        4.0.12

    - #### getOrientation

          public Orientation getOrientation()

      Description copied from interface: `Orientable`
      Get the orientation of this Orientable.
      Specified by:
        `getOrientation` in interface `Orientable`

    - #### getValue

          public double getValue()

      Retrieve the value currently indicated by this Range instance.
      Since:
        4.0.6

    - #### setInverted

          public void setInverted(boolean setting)

      Inverts the way the value changes when moving the slider.

      Ranges normally move from lower to higher values as the slider moves from top to bottom or left to right. Inverted ranges have higher values at the top or on the right rather than on the bottom or left.

      Since:
        4.0.12

    - #### setOrientation

          public void setOrientation(Orientation orientation)

      Description copied from interface: `Orientable`
      Set the orientation of this Orientable.
      Specified by:
        `setOrientation` in interface `Orientable`

    - #### setValue

          public void setValue(double value)

      Change the value showingin the Range. As you would expect, the `Range.ValueChanged` signal will be emitted if the new value is different from the present setting.
      Since:
        4.0.6